Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224587 - Automatic connection when expanding instance node
Automatic connection when expanding instance node
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
7.2
PC Linux
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@connecteddeveloper
: NETFIX, PATCH_AVAILABLE, UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 19:18 UTC by Jesse Glick
Modified: 2013-03-01 02:00 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (3.07 KB, patch)
2013-01-07 19:21 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2013-01-07 19:18:48 UTC
If you have a server not set to auto synch (i.e. refresh time 0), or which is not readable by anonymous, the instance node will show [Disconnected] or [Forbidden]. To connect, you need to go to the context menu and select Connect (or Log In). That is fine but it would be more convenient to merely expand the node, since your expectation is that expanding the children of a node showing the contents of the server should go ahead and try to connect to it.

Probably risky for 7.3 so marking for the next release.
Comment 1 Jesse Glick 2013-01-07 19:21:16 UTC
Created attachment 129974 [details]
Proposed patch
Comment 2 Jesse Glick 2013-02-27 14:59:26 UTC
Could be reviewed now I guess?
Comment 3 Jaroslav Havlin 2013-02-27 16:30:02 UTC
(In reply to comment #2)
> Could be reviewed now I guess?
Sure, I'm sorry for not doing it earlier.

The patch seems OK.
Integrated as http://hg.netbeans.org/core-main/rev/0cfcee5c86d1
Thank you very much, Jesse!
Comment 4 Quality Engineering 2013-03-01 02:00:58 UTC
Integrated into 'main-golden', will be available in build *201302282300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0cfcee5c86d1
User: Jesse Glick <jglick@netbeans.org>
Log: #224587: connect as needed when instance node expanded.
Also removing gratuitous old calls to Node.setChildren;
the Children field should normally be considered final.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo